<?php

use App\Enums\CronjobStatus;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('cron_jobs', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('server_id');
            $table->text('command');
            $table->string('user');
            $table->string('frequency');
            $table->boolean('hidden')->default(0);
            $table->enum('status', CronjobStatus::getValues());
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('cron_jobs');
    }
};
